Bug Hunting Session
Bug 118343 - Correct affix error in German spelling dictionaries
Summary: Correct affix error in German spelling dictionaries
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-24 10:08 UTC by Pander
Modified: 2018-10-19 21:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pander 2018-06-24 10:08:06 UTC
The following two entries in the Hunspell dictionary files for German spelling contain an error:

1)

kälberstall(STp/ozm

See:

https://cgit.freedesktop.org/libreoffice/dictionaries/tree/de/de_AT_frami.dic#n42092

https://cgit.freedesktop.org/libreoffice/dictionaries/tree/de/de_CH_frami.dic#n42040

https://cgit.freedesktop.org/libreoffice/dictionaries/tree/de/de_DE_frami.dic#n42336

2)

Kälberstall(STp/m

See:

https://cgit.freedesktop.org/libreoffice/dictionaries/tree/de/de_AT_frami.dic#n173855

https://cgit.freedesktop.org/libreoffice/dictionaries/tree/de/de_CH_frami.dic#n173604

https://cgit.freedesktop.org/libreoffice/dictionaries/tree/de/de_DE_frami.dic#n174156

The error is that the opening bracket should probably be a slash and the existing slash towards the end of the line should not be there. However, the author of these files or another expert should double check the proper correction that all the affix flags correctly apply to the word.

Also, there may be a bug in the script producing these dic files resulting in "(STp". These scripts should also be corrected if needed.
Comment 1 Xisco Faulí 2018-07-25 09:34:56 UTC
Hello Pander,
Thanks for reporting the issue.
Would you like to submit a patch for this issue to gerrit? you have more information on how to do it here -> https://wiki.documentfoundation.org/Development/gerrit
Comment 2 Xisco Faulí 2018-10-18 11:43:59 UTC
@Sophie, do you know who could work on this ?
Comment 3 Karl Zeiler 2018-10-19 21:44:38 UTC
This little bug has already been found internally and fixed for the next update of the dictionaries. It was a simple typo.